JEditorPane.JEditorPaneAccessibleHypertextSupport (Java SE 21 & JDK 21)
Description: declaration: module: java.desktop, package: javax.swing, class: JEditorPane, class: JEditorPaneAccessibleHypertextSupport
Keywords: javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport class

Module java.desktop
Package javax.swing

# Class JEditorPane.JEditorPaneAccessibleHypertextSupport

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Container.AccessibleAWTContainer
javax.swing.JComponent.AccessibleJComponent
javax.swing.text.JTextComponent.AccessibleJTextComponent
javax.swing.JEditorPane.AccessibleJEditorPane
javax.swing.JEditorPane.JEditorPaneAccessibleHypertextSupport

All Implemented Interfaces:
  `Serializable`, `EventListener`, `AccessibleAction`, `AccessibleComponent`, `AccessibleEditableText`, `AccessibleExtendedComponent`, `AccessibleExtendedText`, `AccessibleHypertext`, `AccessibleText`, `CaretListener`, `DocumentListener`

Enclosing class:
  `JEditorPane`

protected class JEditorPane.JEditorPaneAccessibleHypertextSupport extends JEditorPane.AccessibleJEditorPane implements AccessibleHypertext
What's returned by `AccessibleJEditorPaneHTML.getAccessibleText`. Provides support for `AccessibleHypertext` in case there is an HTML document being displayed in this `JEditorPane`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `JEditorPane.JEditorPaneAccessibleHypertextSupport.HTMLLink`
  An HTML link.

  ## Nested classes/interfaces declared in class javax.swing.JComponent.AccessibleJComponent

  `JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

  ## Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

  `Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

- ## Field Summary

  ### Fields declared in class javax.swing.JComponent.AccessibleJComponent

  `accessibleFocusHandler`

  ### Fields declared in class java.awt.Container.AccessibleAWTContainer

  `accessibleContainerHandler`

  ### Fields declared in class java.awt.Component.AccessibleAWTComponent

  `accessibleAWTComponentHandler, accessibleAWTFocusHandler`

  ### Fields declared in class javax.accessibility.AccessibleContext

  `ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

  ### Fields declared in interface javax.accessibility.AccessibleAction

  `CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

  ### Fields declared in interface javax.accessibility.AccessibleExtendedText

  `ATTRIBUTE_RUN, LINE`

  ### Fields declared in interface javax.accessibility.AccessibleText

  `CHARACTER, SENTENCE, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JEditorPaneAccessibleHypertextSupport()`
  Constructs a `JEditorPaneAccessibleHypertextSupport`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessibleHyperlink`
  `getLink(int linkIndex)`
  Returns the index into an array of hyperlinks that index.
  `int`
  `getLinkCount()`
  Returns the number of links within this hypertext doc.
  `int`
  `getLinkIndex(int charIndex)`
  Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
  `String`
  `getLinkText(int linkIndex)`
  Returns the contiguous text within the document that is associated with this hyperlink.

  ### Methods declared in class javax.swing.JEditorPane.AccessibleJEditorPane

  `getAccessibleDescription, getAccessibleStateSet`

  ### Methods declared in class javax.swing.text.JTextComponent.AccessibleJTextComponent

  `caretUpdate, changedUpdate, cut, delete, doAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleEditableText, getAccessibleRole, getAccessibleText, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, getTextBounds, getTextRange, getTextSequenceAfter, getTextSequenceAt, getTextSequenceBefore, insertTextAtIndex, insertUpdate, paste, removeUpdate, replaceText, selectText, setAttributes, setTextContents`

  ### Methods declared in class javax.swing.JComponent.AccessibleJComponent

  `addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleKeyBinding, getAccessibleName, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

  ### Methods declared in class java.awt.Container.AccessibleAWTContainer

  `getAccessibleAt`

  ### Methods declared in class java.awt.Component.AccessibleAWTComponent

  `addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

  ### Methods declared in class javax.accessibility.AccessibleContext

  `firePropertyChange, getAccessibleAction, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.accessibility.AccessibleComponent

  `addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

  ### Methods declared in interface javax.accessibility.AccessibleText

  `getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart`

- ## Constructor Details

  - ### JEditorPaneAccessibleHypertextSupport

    public JEditorPaneAccessibleHypertextSupport()
    Constructs a `JEditorPaneAccessibleHypertextSupport`.

- ## Method Details

  - ### getLinkCount

    public int getLinkCount()
    Returns the number of links within this hypertext doc.
    Specified by:
      `getLinkCount` in interface `AccessibleHypertext`
    Returns:
      number of links in this hypertext doc.

  - ### getLinkIndex

    public int getLinkIndex(int charIndex)
    Returns the index into an array of hyperlinks that is associated with this character index, or -1 if there is no hyperlink associated with this index.
    Specified by:
      `getLinkIndex` in interface `AccessibleHypertext`
    Parameters:
      `charIndex` - index within the text
    Returns:
      index into the set of hyperlinks for this hypertext doc.

  - ### getLink

    public AccessibleHyperlink getLink(int linkIndex)
    Returns the index into an array of hyperlinks that index. If there is no hyperlink at this index, it returns null.
    Specified by:
      `getLink` in interface `AccessibleHypertext`
    Parameters:
      `linkIndex` - into the set of hyperlinks for this hypertext doc.
    Returns:
      string representation of the hyperlink

  - ### getLinkText

    public String getLinkText(int linkIndex)
    Returns the contiguous text within the document that is associated with this hyperlink.
    Parameters:
      `linkIndex` - into the set of hyperlinks for this hypertext doc.
    Returns:
      the contiguous text sharing the link at this index